Error Kodi 18.5 compilation Android: Missing program: aap
#1
Hello,
I'm getting configure: error: "Missing program: aapt" when executing
./configure --with-tarballs=/home/dev/xbmc-tarballs --host=arm-linux-androideabi --with-sdk-path=/home/dev/android-sdk-linux --with-ndk-path=/home/dev/android-ndk-r12b --with-toolchain=/opt/arm-linux-androideabi-4.9-vanilla/android-21 --prefix=/home/dev/xbmc-depends

[email protected]:~/kodi-Leia/tools/depends$ ./configure --with-tarballs=/home/dev/xbmc-tarballs --host=arm-linux-androideabi --with-sdk-path=/home/dev/android-sdk-linux --with-ndk-path=/home/dev/android-ndk-r12b --with-toolchain=/opt/arm-linux-androideabi-4.9-vanilla/android-21 --prefix=/home/dev/xbmc-depends
checking build system type... x86_64-pc-linux-gnu
checking host system type... arm-unknown-linux-androideabi
checking for arm-linux-androideabi-clang++... no
checking for arm-linux-androideabi-gcc... no
checking for arm-linux-androideabi-g++... no
checking for clang++... no
checking for gcc... gcc
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether gcc accepts -g... yes
checking whether gcc supports C++11 features by default... no
checking whether gcc supports C++11 features with -std=c++11... yes
checking for ccache... no
checking for curl... /usr/bin/curl
checking for tar... /bin/tar
checking for arm-linux-androideabi-ranlib... no
checking for ranlib... /usr/bin/ranlib
configure: WARNING: using cross tools not prefixed with host triplet
checking for arm-linux-androideabi-ld... no
checking for ld... /usr/bin/ld
checking for arm-linux-androideabi-ar... no
checking for ar... /usr/bin/ar
checking for arm-linux-androideabi-readelf... no
checking for readelf... /usr/bin/readelf
checking for arm-linux-androideabi-strip... no
checking for strip... /usr/bin/strip
checking for arm-linux-androideabi-as... no
checking for as... /usr/bin/as
checking for arm-linux-androideabi-nm... no
checking for nm... /usr/bin/nm
checking for arm-linux-androideabi-objdump... no
checking for objdump... /usr/bin/objdump
checking for arm-linux-androideabi-clang... no
checking for clang... no
checking for arm-linux-androideabi-clang++... no
checking for clang++... no
checking how to run the C preprocessor... /lib/cpp
checking for ranlib... /usr/bin/ranlib
checking for ld... /usr/bin/ld
checking for ar... /usr/bin/ar
checking for readelf... /usr/bin/readelf
checking for strip... /usr/bin/strip
checking for as... /usr/bin/as
checking for nm... /usr/bin/nm
checking for objdump... /usr/bin/objdump
checking for gcc... /usr/bin/gcc
checking for g++... /usr/bin/g++
checking for library containing iconv_open... no
configure: WARNING: "No iconv support in toolchain. Will build libiconv."
configure: WARNING: "No localeconv support in toolchain. Using replacement."
checking for aapt... no
configure: error: "Missing program: aapt"
Reply
#2
(2019-11-17, 20:08)james739 Wrote: Hello,
I'm getting configure: error: "Missing program: aapt" when executing
./configure --with-tarballs=/home/dev/xbmc-tarballs --host=arm-linux-androideabi --with-sdk-path=/home/dev/android-sdk-linux --with-ndk-path=/home/dev/android-ndk-r12b --with-toolchain=/opt/arm-linux-androideabi-4.9-vanilla/android-21 --prefix=/home/dev/xbmc-depends

[email protected]:~/kodi-Leia/tools/depends$ ./configure --with-tarballs=/home/dev/xbmc-tarballs --host=arm-linux-androideabi --with-sdk-path=/home/dev/android-sdk-linux --with-ndk-path=/home/dev/android-ndk-r12b --with-toolchain=/opt/arm-linux-androideabi-4.9-vanilla/android-21 --prefix=/home/dev/xbmc-depends
checking build system type... x86_64-pc-linux-gnu
checking host system type... arm-unknown-linux-androideabi
checking for arm-linux-androideabi-clang++... no
checking for arm-linux-androideabi-gcc... no
checking for arm-linux-androideabi-g++... no
checking for clang++... no
checking for gcc... gcc
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether gcc accepts -g... yes
checking whether gcc supports C++11 features by default... no
checking whether gcc supports C++11 features with -std=c++11... yes
checking for ccache... no
checking for curl... /usr/bin/curl
checking for tar... /bin/tar
checking for arm-linux-androideabi-ranlib... no
checking for ranlib... /usr/bin/ranlib
configure: WARNING: using cross tools not prefixed with host triplet
checking for arm-linux-androideabi-ld... no
checking for ld... /usr/bin/ld
checking for arm-linux-androideabi-ar... no
checking for ar... /usr/bin/ar
checking for arm-linux-androideabi-readelf... no
checking for readelf... /usr/bin/readelf
checking for arm-linux-androideabi-strip... no
checking for strip... /usr/bin/strip
checking for arm-linux-androideabi-as... no
checking for as... /usr/bin/as
checking for arm-linux-androideabi-nm... no
checking for nm... /usr/bin/nm
checking for arm-linux-androideabi-objdump... no
checking for objdump... /usr/bin/objdump
checking for arm-linux-androideabi-clang... no
checking for clang... no
checking for arm-linux-androideabi-clang++... no
checking for clang++... no
checking how to run the C preprocessor... /lib/cpp
checking for ranlib... /usr/bin/ranlib
checking for ld... /usr/bin/ld
checking for ar... /usr/bin/ar
checking for readelf... /usr/bin/readelf
checking for strip... /usr/bin/strip
checking for as... /usr/bin/as
checking for nm... /usr/bin/nm
checking for objdump... /usr/bin/objdump
checking for gcc... /usr/bin/gcc
checking for g++... /usr/bin/g++
checking for library containing iconv_open... no
configure: WARNING: "No iconv support in toolchain. Will build libiconv."
configure: WARNING: "No localeconv support in toolchain. Using replacement."
checking for aapt... no
configure: error: "Missing program: aapt"

I had to use latest SDK and NDK files
https://github.com/xbmc/xbmc/blob/master...Android.md
Reply



Logout Mark Read Team Forum Stats Members Help
Error Kodi 18.5 compilation Android: Missing program: aap0
This forum uses Lukasz Tkacz MyBB addons.